
/*====================================================== Générale =======================================*/

@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+JP&family=Roboto:ital,wght@1,500&display=swap');

* {
    padding: 0;
    margin: 0;
    font-family: 'Roboto', sans-serif;
    box-sizing: border-box;
}

body {
    display: grid;
    place-items: center;
    height: 100vh;
    background-color: rgb(0, 0, 0)



}

/*.imagetest0 {
    background-image: url(/images/bg0.jpg) ;
    background-repeat: no-repeat;
    background-size: cover;

}

.imagetest1 {
    background-image: url(/images/bg1.jpg) ;
    background-repeat: no-repeat;
    background-size: cover;

}

.imagetest2 {
    background-image: url(/images/bg2.jpg) ;
    background-repeat: no-repeat;
    background-size: cover;
}

.imagetest3 {
    background-image: url(/images/bg3.jpg) ;
    background-repeat: no-repeat;
    background-size: cover;

}
.imagetest4 {
    background-image: url(/images/bg4.jpg) ;
    background-repeat: no-repeat;
    background-size: cover;

}
.imagetest5 {
    background-image: url(/images/bg5.jpg) ;
    background-repeat: no-repeat;
    background-size: cover;

}
.imagetest6 {
    background-image: url(/images/bg6.jpg) ;
    background-repeat: no-repeat;
    background-size: cover;

}
.imagetest7 {
    background-image: url(/images/bg7.jpg) ;
    background-repeat: no-repeat;
    background-size: cover;

}
.imagetest8 {
    background-image: url(/images/bg8.jpg) ;
    background-repeat: no-repeat;
    background-size: cover;

}
.imagetest9 {
    background-image: url(/images/bg9.jpg) ;
    background-repeat: no-repeat;
    background-size: cover;

}
.imagetest10 {
    background-image: url(/images/bg10.jpg) ;
    background-repeat: no-repeat;
    background-size: cover;
}

*/


#container {
    height: auto;
    width: auto;
}


/*====================================================== Section Start =======================================*/

#start {
    height: 90px;
    width: 250px;
    text-align: center;
    padding: 20px 0;
    background: #e7f1fa;
    color: #1414FA;
    font-size: 23px;
    font-weight: 700;
    border-radius: 60px;
    border: 1px solid #000000;
    cursor: pointer;
}
 

#start:hover {
    background: #FAD014;
    color: #e7f1fa;
}

/*====================================================== Section Guide =======================================*/


#consigne,
#quiz {
    height: auto;
    width: 580px;
    padding: 20px;
    background: #e7f1fa;
    border-radius: 30px;
    border: 1px solid #000000;
    display: none;
}

#consigne h2  {
    font-size: 60px;
    color:#1414FA;
    text-align: center;
}

#consigne h4, #level h4 {
    height: 50px;
    width: 100%;
    display: flex;
    align-items: center;
    font-size: 20px;
}

#consigne #button {
    height: 50px;
    width: 100%;
    display: flex;
    justify-content: flex-end;
}



#consigne #button button {
    height: 50px;
    width: 120px;
    margin: 10px 25px;
    border: none;
    outline: none;
    color: #e7f1fa;
    background: #AD8F07;
    border: 1px solid #b0c4d8;
    border-radius: 20px 5px;
    font-size: 18px;
    cursor: pointer;
}


#consigne #button button:last-child {
    margin: 10px 0;
}

#consigne #button button:hover {
    background:  #2E2EFF;
}


/*====================================================== Section Quiz =======================================*/


#quiz {
    height: 580px;
    position: relative;
}

#quiz #quiz_header {
    height: 60px;
    width: 100%;
    background: #1414FA;
    position: absolute;
    top: 0;
    left: 0;
    display: flex;
    align-items: center;
    flex-direction: row;
}

#quiz #quiz_header h5 {
    font-size: 28px;
    margin: 0 20px;
    color: white;
}

#quiz #quiz_header #timer {
    height: 50px;
    width: 200px;
    background: #FF2E2E;
    color: #e7f1fa;
    border: 1px solid #b0c4d8;
    font-size: 18px;
    display: flex;
    flex-direction: row;
    position: absolute;
    right: 10px;
}

#quiz #quiz_header #timer h6 {
    font-size: 22px;
    display: grid;
    place-items: center;
    color: #fff;
    margin: 0 10px;
}

#quiz #quiz_header #timer #time {
    height: 44px;
    width: 50px;
    background: #fff;
    color: #418ea6c2;
    border: 1px solid #b0c4d8;
    margin: 2px 0 0 27px;
}


/*====================================================== Section Questions Quiz =======================================*/

#quiz #question {
    position: absolute;
    top: 90px;
    display: flex;
    flex-direction: row;
}

#quiz #question h2 {
    font-size: 27px;
}

#quiz #question h2:first-child {
    margin: 0 10px 0 5px;
}

/*====================================================== Section Réponses Quiz =======================================*/

#quiz #optionList {
    height: 400px;
    width :100%;
    position: absolute;
    top: 160px;
}

.choice_wrong{
    background: red!important;}


.choice_true { 

    background: #6FE302!important;}


#quiz #optionList h4{
    height: 50px;
    width: 535px;
    background: #1414FA;
    line-height: 50px;
    margin: 5px 0;
    border-radius: 7px;
    padding: 0 20px;
    font-size: 20px;
    color: #fff;
    overflow: hidden;
    border: 1px solid #b0c4d8;
    cursor: pointer;
}

#quiz #optionList h4:hover {
    background: #FAD014;
}

#quiz #optionList .active {
    background: #FAD014;
}

#quiz #optionList .desactive_clic {
    pointer-events: none;
}

/*====================================================== Section scores Quiz =======================================*/


#quiz #answersSection {
    height: 120px;
    width: 100%;
    background: #fafafc;
    position: absolute;
    bottom: 0;
    left: 0;
    display: flex;
    align-items: center;
    flex-direction: row;
   
}

#quiz #answersSection h3 {
    margin-left: 10px;
    display: none;
    font-size: 15px;
}

#quiz #answersSection h3:last-child {
    height: 40px;
    width: 100px;
    display: grid;
    place-items: center;
    background: #418ea6;
    position: absolute;
    right: 0;
    color: #fff;
    border: 1px solid #b0c4d8;
    font-size: 18px;
    border-radius: 20px 5px;
    cursor: pointer;
    margin: 0 20px;
}

#quiz #answersSection h3:hover {
    background: #2E2EFF;
}

#quiz #answersSection h3:first-child:hover {
    background: none;
}

/*====================================================== Section Resultat Quiz =======================================*/

#container #result {
    height: 500px;
    width: 450px;
    padding: 20px;
    background: #e7f1fa;
    border-radius: 30px 10px;
    border: 1px solid #b0c4d8;
    overflow: hidden;
    position: relative;
    display: none;
}

#container #result i {
    font-size: 180px;
    color: #1414FA;
    position: absolute;
    top: 30px;
    left: 120px;
}

#container #result h6 {
    height: 40px;
    width: 87%;
    font-size: 25px;
    position: absolute;
    text-align: center;
    top: 235px;
}

#container #result #points {
    font-size: 30px;
    top: 275px;
}

#container #result button {
    height: 60px;
    width: 260px;
    border: none;
    outline: none;
    background: #AD8F07;
    color: #e7f1fa;
    position: absolute;
    left: 105px;
    top: 335px;
    border: 1px solid #b0c4d8;
    border-radius: 20px 5px;
    font-size: 18px;
    cursor: pointer;
}

#container #result button:last-child {
    top: 405px;
}

#container #result button:hover {
    background: #2E2EFF;
}
